# Exiv2::CiffEntry Class Reference

This class models one directory entry of a CIFF directory of a Crw (Canon Raw data) image. More...

`#include <crwimage.hpp>`

Inheritance diagram for Exiv2::CiffEntry:

[legend]
Collaboration diagram for Exiv2::CiffEntry:

[legend]
List of all members.

## Public Member Functions

Creators
| CiffEntry ()
| Default constructor.
| CiffEntry (uint16_t tag, uint16_t dir)
| Constructor taking a tag and directory.
virtual | ~CiffEntry ()
| Virtual destructor.

## Detailed Description

This class models one directory entry of a CIFF directory of a Crw (Canon Raw data) image.

The documentation for this class was generated from the following files:

- crwimage.hpp
- crwimage.cpp